The "Get Blogs by Account ID" API allows you get blogs using Account ID.Please use blogs/list.readonly
http
GET https://services.leadconnectorhq.com/blogs/site/allAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | ve9EPM428h8vShlRW1KT | |
skip | number | Yes | ||
limit | number | Yes | 4 | |
searchTerm | string | No | ai news | search for any post by name |
Responses
200 - Successful response
data(object[], required): Object containing response data of blog_id(string, required): Unique identifier of the blog Example:lMOzIQZne5m6zQ528sT6name(string, required): Name of the blog Example:My blog
json
{
"data": [
{
"_id": "lMOzIQZne5m6zQ528sT6",
"name": "My blog"
}
]
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/blogs/site/all' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/blogs/site/all', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/blogs/site/all',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/blogs/site/all');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);